de.vc.report

## Class ReportEngine

- java.lang.Object
- - de.vc.report.ReportEngine

-     public class ReportEngine
      extends java.lang.Object

  The report engine is the main class for producing reports on fly. To run this engine you need:
- A data source that delivers report data
- A report builder that creates reports from report data
- A report storage where to stored created reports
Optionally you can set a logger for logging.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportEngine(DataSource source, ReportBuilder builder, ReportStorage storage)` Creates a new report engine for many reports from a report source that stores created reports into a specific storage.
    `ReportEngine(ReportData data, ReportBuilder builder, java.io.File outputfile)` Creates a new report engine for one report data that stores created report into a file.
    `ReportEngine(ReportData data, ReportBuilder builder, ReportStorage storage)` Creates a new report engine for one report that stores created report into a specific storage.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.commons.logging.Log` | `getLog()`
    `void` | `run()` Starts producing reports.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportEngine

          public ReportEngine(DataSource source,
                      ReportBuilder builder,
                      ReportStorage storage)

      Creates a new report engine for many reports from a report source that stores created reports into a specific storage.
      Parameters:
        `source` - Source of report data.
        `builder` - Report builder.
        `storage` - Storage for reports.

    - #### ReportEngine

          public ReportEngine(ReportData data,
                      ReportBuilder builder,
                      java.io.File outputfile)

      Creates a new report engine for one report data that stores created report into a file.
      Parameters:
        `data` - Data of report.
        `builder` - Report builder.
        `outputfile` - Outputfile for created report.

    - #### ReportEngine

          public ReportEngine(ReportData data,
                      ReportBuilder builder,
                      ReportStorage storage)

      Creates a new report engine for one report that stores created report into a specific storage.
      Parameters:
        `data` - Data of report.
        `builder` - Report builder.
        `storage` - Storage for report.

  - ### Method Detail

    - #### run

          public void run()
                   throws ReportException

      Starts producing reports.
      Throws:
        `ReportException`

    - #### getLog

          public static org.apache.commons.logging.Log getLog()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.